Bug 1170831 - [abrt] webkitgtk4: setAtkStateSetFromCoreObject(): WebKitWebProcess killed by SIGSEGV
Summary: [abrt] webkitgtk4: setAtkStateSetFromCoreObject(): WebKitWebProcess killed by...
Keywords:
Status: CLOSED DUPLICATE of bug 1156330
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk4
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d95e1cf58ecad07964447e3a7ba...
: 1151904 1169053 1189223 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-04 23:29 UTC by Michael Catanzaro
Modified: 2015-03-23 14:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-23 14:24:17 UTC


Attachments (Terms of Use)
File: backtrace (81.96 KB, text/plain)
2014-12-04 23:29 UTC, Michael Catanzaro
no flags Details
File: cgroup (190 bytes, text/plain)
2014-12-04 23:29 UTC, Michael Catanzaro
no flags Details
File: core_backtrace (34.55 KB, text/plain)
2014-12-04 23:29 UTC, Michael Catanzaro
no flags Details
File: dso_list (14.21 KB, text/plain)
2014-12-04 23:29 UTC, Michael Catanzaro
no flags Details
File: environ (1.25 KB, text/plain)
2014-12-04 23:29 UTC, Michael Catanzaro
no flags Details
File: exploitable (82 bytes, text/plain)
2014-12-04 23:29 UTC, Michael Catanzaro
no flags Details
File: limits (1.29 KB, text/plain)
2014-12-04 23:29 UTC, Michael Catanzaro
no flags Details
File: maps (95.35 KB, text/plain)
2014-12-04 23:29 UTC, Michael Catanzaro
no flags Details
File: open_fds (1.06 KB, text/plain)
2014-12-04 23:29 UTC, Michael Catanzaro
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2014-12-04 23:29 UTC, Michael Catanzaro
no flags Details
File: var_log_messages (853 bytes, text/plain)
2014-12-04 23:29 UTC, Michael Catanzaro
no flags Details


Links
System ID Priority Status Summary Last Updated
WebKit Project 139284 None None None Never

Description Michael Catanzaro 2014-12-04 23:29:23 UTC
Description of problem:
Visited www.cnn.com.  Various pages on the site seem to be crashing frequently, but not reproducibly.

Version-Release number of selected component:
webkitgtk4-2.6.3-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 25
crash_function: setAtkStateSetFromCoreObject
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
kernel:         3.17.4-301.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 setAtkStateSetFromCoreObject at /usr/src/debug/webkitgtk-2.6.3/Source/WebCore/accessibility/atk/WebKitAccessibleWrapperAtk.cpp:798
 #1 webkitAccessibleRefStateSet at /usr/src/debug/webkitgtk-2.6.3/Source/WebCore/accessibility/atk/WebKitAccessibleWrapperAtk.cpp:924
 #2 children_changed_event_listener at event.c:1079
 #5 g_signal_emit_by_name at gsignal.c:3405
 #6 WebCore::AXObjectCache::getOrCreate at /usr/src/debug/webkitgtk-2.6.3/Source/WebCore/accessibility/AXObjectCache.cpp:364
 #7 WebCore::AccessibilityObject::isARIAHidden at /usr/src/debug/webkitgtk-2.6.3/Source/WebCore/accessibility/AccessibilityObject.cpp:2472
 #8 WebCore::AccessibilityObject::defaultObjectInclusion at /usr/src/debug/webkitgtk-2.6.3/Source/WebCore/accessibility/AccessibilityObject.cpp:2493
 #9 WebCore::AccessibilityObject::accessibilityIsIgnoredByDefault at /usr/src/debug/webkitgtk-2.6.3/Source/WebCore/accessibility/AccessibilityObject.cpp:2465
 #10 WebCore::AXObjectCache::attachWrapper at /usr/src/debug/webkitgtk-2.6.3/Source/WebCore/accessibility/atk/AXObjectCacheAtk.cpp:80
 #11 WebCore::AXObjectCache::getOrCreate at /usr/src/debug/webkitgtk-2.6.3/Source/WebCore/accessibility/AXObjectCache.cpp:433

Comment 1 Michael Catanzaro 2014-12-04 23:29:25 UTC
Created attachment 964871 [details]
File: backtrace

Comment 2 Michael Catanzaro 2014-12-04 23:29:26 UTC
Created attachment 964872 [details]
File: cgroup

Comment 3 Michael Catanzaro 2014-12-04 23:29:27 UTC
Created attachment 964873 [details]
File: core_backtrace

Comment 4 Michael Catanzaro 2014-12-04 23:29:28 UTC
Created attachment 964874 [details]
File: dso_list

Comment 5 Michael Catanzaro 2014-12-04 23:29:28 UTC
Created attachment 964875 [details]
File: environ

Comment 6 Michael Catanzaro 2014-12-04 23:29:29 UTC
Created attachment 964876 [details]
File: exploitable

Comment 7 Michael Catanzaro 2014-12-04 23:29:29 UTC
Created attachment 964877 [details]
File: limits

Comment 8 Michael Catanzaro 2014-12-04 23:29:31 UTC
Created attachment 964878 [details]
File: maps

Comment 9 Michael Catanzaro 2014-12-04 23:29:32 UTC
Created attachment 964879 [details]
File: open_fds

Comment 10 Michael Catanzaro 2014-12-04 23:29:32 UTC
Created attachment 964880 [details]
File: proc_pid_status

Comment 11 Michael Catanzaro 2014-12-04 23:29:33 UTC
Created attachment 964881 [details]
File: var_log_messages

Comment 12 Michael Catanzaro 2014-12-18 15:04:28 UTC
Another user experienced a similar problem:

Can't display www.cnn.com

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 36
crash_function: setAtkStateSetFromCoreObject
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
kernel:         3.17.6-300.fc21.x86_64
package:        webkitgtk4-2.6.4-1.fc21
reason:         WebKitWebProcess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Yanko Kaneti 2015-02-10 12:38:19 UTC
*** Bug 1189223 has been marked as a duplicate of this bug. ***

Comment 14 Yanko Kaneti 2015-02-10 12:38:31 UTC
*** Bug 1169053 has been marked as a duplicate of this bug. ***

Comment 15 Yanko Kaneti 2015-02-10 13:02:16 UTC
Sorry, forgot liferea (dup bugs above) still uses webkitgtk3.
So the bug is technically different, although its probably the same.

Comment 16 Michael Catanzaro 2015-02-28 03:58:24 UTC
*** Bug 1151904 has been marked as a duplicate of this bug. ***

Comment 17 Michael Catanzaro 2015-03-23 14:24:17 UTC

*** This bug has been marked as a duplicate of bug 1156330 ***


Note You need to log in before you can comment on or make changes to this bug.